Upgrade problems

Help
Marek Uher
2006-08-30
2013-05-09
  • Marek Uher
    Marek Uher
    2006-08-30

         Hi all,

    I have a problem with my two coLinux installations after migrating to new versions. In the first case (MS Windows XP Home Edition SP1, notebook) I upgraded from coLinux version 0.6.3 to 0.6.4 a few days ago. In the second case (MS Windows XP Professional SP2, server) I upgraded another installation from coLinux version 0.6.4 to 0.6.4-2. In both cases a have a problem with mounting root file system. Error message follows:

    ...
    VFS: Mounted root (ext2 filesystem).

    ===================================================
    # This process will install (if necessary) the coLinux modules for the
    # coLinux kernel.
    ===================================================

    Determining /, Found.
    Mounting /
    mount: Mounting /dev/cobd0 on /mnt/linux failed: No such device
    Closing /
    umount: forced umount of (null) failed!
    Failed. (trying again)
    umount: forced umount of (null) failed!

    initrd: umount failed on rootfs
    Try to run coLinux without initrd. Comment out initrd from configuation.

    Press <Enter> to continue.

    I tried to comment out initrd section, but I got this another error message:

    ...
    EXT2-fs warning: checktime reached, running e2fsck is recommended
    VFS: Mounted root (ext2 filesystem).
    VFS: Cannot open root device "cobd0" or unknown-block(117,0)
    Please append a correct "root=" boot option
    Kernel panic - not syncing: VFS: Unable to mount root fs on unknown-block(117,0)

    I spend few days with searching for help or advice on Google. Unfortunately I didn't find any useful info. I hadn't any problem with coLinux installations many months - it was pretty stable. The reason for upgrade was periodical system maintenance. I wanted to upgrade my installations and then keep it them for next few months. These strange errors appear after upgrade. Now I am not able to use none of my coLinux installations.

    I tried to remove/reinstall or downgrade both installations to previous versions, but without any success. So, I didn't change anything in
    configuration file for longtime. Does anyone have some idea or advice for me? Please, help. Thanks.

    Marek

     
    • aguspiza
      aguspiza
      2006-09-09

      could you post your .xml config  or command line parameters?

      I will try to help you